Hi

I am struggling to understand which respondents have been marked ‘inapplicable’ for the question ‘In which country does your

mother currently live?’ in wave 9 (migrationbackground_w9.macurr, i_macurr)

The question universe in the online information about the variable states:

if (FF_UKBORN = 5 & ff_1STWAVE <=6 & (GRIDVARIABLES.FBORN = 1 & GRIDVARIABLES.IEMB 1)) | (FF_UKBORN = 5 &

(ff_1STWAVE = 7|8)) | INITIALCONDITIONS.UKBORN = 5 (Respondent is foreign born and entered the study at wave 6 or earlier

and household is in the Foreign Born Sample but not in the IEMB sample OR Respondent is foreign born and entered the study at

wave 7 or later)

and if FAMILYBACKGROUND.MACOB > 4 | FF_MACOB > 4 (Respondent's mother not born in the UK)

I think for the text to match up with the code the point with ‘& GRIDVARIABLES.IEMB 1’  Should read “& ‘&

GRIDVARIABLES.IEMB=2’ [as I_IEMB is coded 1 for ‘yes’ and 2 for ‘no’]?

I’m also not finding that being having either ‘yes’ or ‘no’ for being in the ethnic minority boost (as well as being foreign born, entering

the study at wave 6 or earlier and the participant’s mother being born abroad) clearly differentiates which participants do and do not

have ‘inapplicable’ for this variable.

It would be great if you could clarify which respondents were asked to respond to this question and under what circumstances they

would be coded ‘inapplicable’.

Many thanks

Rachel

History

#1 - 07/30/2024 02:50 PM - Understanding Society  User Support Team

- Category set to Questionnaire content

- Status changed from New to Feedback

- % Done changed from 0 to 90

- Private changed from Yes to No

Hi Rachel,

You're right, the condition on the website is incorrect - it is missing the "<>" operator after GRIDVARIABLES.IEMB, it should then read

GRIDVARIABLES.IEMB<>1, which translated to GRIDVARIABLES.IEMB==2 & GRIDVARIABLES.IEMB==-9. You can find the full correct condition in

the pdf of the wave 9 questionnaire (https://www.understandingsociety.ac.uk/documentation/mainstage/questionnaires/):

"If ((FF_UKBORN = 5 & Ff_1STWAVE <=6 & (GRIDVARIABLES.FBORN = 1 &

GRIDVARIABLES.IEMB <> 1)) | (FF_UKBORN = 5 & (Ff_1STWAVE = 7|8)) |

INITIALCONDITIONS.UKBORN = 5) // Respondent is foreign born and entered the study at wave 6 or earlier and

household is in the Foreign Born Sample but not in the IEMB sample OR Respondent is foreign born and entered the study at wave

7 or later

And If (FAMILYBACKGROUND.MACOB > 4 | FF_MACOB > 4) // Respondent's mother not born in the UK"

I hope it helps.

Best wishes,

Piotr Marzec

UKHLS User Support
#2 - 07/30/2024 04:55 PM - Rachel Bennett

Hi Piotr

Many thanks for this. I am still puzzled by some of the participants who have ‘not applicable’ for i_macurr.

I have restricted the sample to foreign born participants only (using the variable bornuk_dv from the xwavedat dataset – I deleted all UK born

participants and participants with missing data for this variable).

Of the remaining participants, I then removed participants whose mother was born in the UK (using the variable macob from the xwavedat dataset – I

deleted all participants with UK born mothers and participants with missing data for this variable)

Of the then remaining participants, I then have removed participants who entered the study at wave 6 or earlier and were in the IEMB sample ( using

the fwenum_dv variable from the xwavedata dataset and the i_iemb from the i_hhresp dataset)

I still find that 591 (17.72%) of the remaining sample have the value ‘not applicable’ for i_macurr.

Have I used the correct versions of the variables to restrict the sample and/or is there another reason participants may have ‘inapplicable’ for this

variable?

Many thanks

Rachel

#3 - 07/30/2024 05:28 PM - Understanding Society  User Support Team

Hi Rachel,

What statistical package do you use?

Thanks,

Piotr

UKHLS User Support

#4 - 08/01/2024 09:31 AM - Rachel Bennett

Hi Piotr

I use STATA.

Thanks

Rachel

#5 - 08/01/2024 09:42 AM - Understanding Society  User Support Team

- % Done changed from 90 to 60

Hi,

Thanks. Could you please share the code that reproduces the macurr universe, including all the data management steps? Ideally, I would like to just

replace the paths to the data and run your code.

Piotr

UKHLS User Support Team

#6 - 08/01/2024 09:56 AM - Rachel Bennett

Hi Piotr

Sure, here it is :

*CREATING FILE WITH 'I_fborn' and 'i_iemb' VARIABLES TO MERGE INTO MAIN FILE**

use "UKDA-6614-stata\stata\stata13_se\ukhls\i_hhresp.dta"

keep i_hidp i_fborn i_iemb

sort i_hidp

save fborn, replace

CREATING FILE WITH STABLE CHARACTERSITICS, INCLUDING WHERE MOTHER/FATHER WAS BORN***

use "UKDA-6614-stata\stata\stata13_se\ukhls\xwavedat.dta"

keep pidp sex_dv bornuk_dv plbornc yr2uk4 generation macob pacob anychild_dv fwenum_dv

sort pidp

save stablecharacteristics, replace
*MAIN FILE (USING WAVE 9 INDIVIDUAL RESPONDENTS)**

use "UKDA-6614-stata\stata\stata13_se\ukhls\i_indresp.dta"

sort pidp

MERGE IN STABLE CHARACTERISTICS FILE

merge pidp using stablecharacteristics

tab _merge

drop if _merge==2

drop _merge

tab bornuk_dv, m

***deleting cases with missing data for bornuk_dv (588, 1.63% of sample)

drop if bornuk_dv==-9

***DELETING CASES WHERE PARTICIPANTS WERE BORN IN THE UK

drop if bornuk_dv==1

deleting cases where mother was born in the uk or missing data for mother's country of birth

drop if macob<5

MERGE IN FILE WITH FOREIGN BORN/ETHNIC MINORITY BOOST SAMPLE VARIABLES*

sort i_hidp

merge i_hidp using fborn

tab _merge

this deletes some cases here which do not hhresp file

keep if _merge==3

deleting cases which entered at wave 6 or earlier AND were part of IEMB sample *

drop if fwenum_dv<7 & i_iemb==1

*distribution of i_macurr*

tab i_macurr

Many thanks,

Rachel

#7 - 08/01/2024 01:29 PM - Understanding Society  User Support Team

Thank you. We'll look into it.

#8 - 08/02/2024 11:45 AM - Understanding Society  User Support Team

Hi Rachel,

A quick update: I can confirm that there might be an issue with the macurr routing, we are investigating possible reasons. I will let you know when I

learn more.

Best wishes,

Piotr

#9 - 08/02/2024 11:46 AM - Rachel Bennett

Many thanks Piotr

#10 - 09/02/2024 09:37 AM - Rachel Bennett

Hi Piotr,

Is it possible to provide a timescale for this? I have some analysis due by the end of this week which I was hoping to use this variable in.

Many thanks

Rachel

#11 - 09/05/2024 10:06 AM - Understanding Society  User Support Team

Hi Rachel,

We have conducted an internal investigation to identify any patterns behind this error but have not found a consistent explanation for all the

mismatches. Here's what we discovered:

a. 200 individuals were not asked i_MACURR, even though they should have been. All of these cases were part of the Quarter 2 sample.

b. 414 individuals were asked i_MACURR, even though they shouldn't have been. Of these, 261 were from the Quarter 3 sample, with the remainder

spread across the other seven quarters.
Given this, we recommend filtering out the cases in group (b) using the universe condition. (you can use the syntax you shared with us earlier)

We will keep you informed if we learn any further details about the cause of this filtering/routing issue.

I hope this information is helpful.

Best wishes,

Roberto Cavazos

Understanding Society User Support Team

#12 - 09/05/2024 01:32 PM - Rachel Bennett

Hi Roberto

Many thanks for looking into this - that's really useful information and I will follow you strategy you propose.

Thanks

Rachel
